# Google Cloud Data Catalog V1 Client - Class UpdateEntryRequest (2.4.2)

2.4.2 (latest) 2.4.1 2.3.2 2.2.4 2.1.0 2.0.2 1.10.3 1.9.1 1.8.2 1.7.1 1.6.0 1.5.1 1.4.2 1.3.9 Reference documentation and code samples for the Google Cloud Data Catalog V1 Client class UpdateEntryRequest.

Request message for
UpdateEntry.

Generated from protobuf message `google.cloud.datacatalog.v1.UpdateEntryRequest`

## Namespace

Google \\ Cloud \\ DataCatalog \\ V1

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ entry` | `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Entry` Required. Updates for the entry. The `name` field must be set. |
| `↳ update_mask` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask` Names of fields whose values to overwrite on an entry. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied. You can modify only the fields listed below. For entries with type `DATA_STREAM`: \* \* `schema` For entries with type `FILESET`: \* \* `schema` \* \* `display_name` \* \* `description` \* \* `gcs_fileset_spec` \* \* `gcs_fileset_spec.file_patterns` For entries with `user_specified_type`: \* \* `schema` \* \* `display_name` \* \* `description` \* \* `user_specified_type` \* \* `user_specified_system` \* \* `linked_resource` \* \* `source_system_timestamps` |

### getEntry

Required. Updates for the entry. The `name` field must be set.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Entry|null` |   |

### hasEntry

### clearEntry

### setEntry

Required. Updates for the entry. The `name` field must be set.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Entry` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getUpdateMask

Names of fields whose values to overwrite on an entry.

If this parameter is absent or empty, all modifiable fields
are overwritten. If such fields are non-required and omitted in the
request body, their values are emptied.
You can modify only the fields listed below.
For entries with type `DATA_STREAM`:

- `schema` For entries with type `FILESET`:
- `schema`
- `display_name`
- `description`
- `gcs_fileset_spec`
- `gcs_fileset_spec.file_patterns` For entries with `user_specified_type`:
- `schema`
- `display_name`
- `description`
- `user_specified_type`
- `user_specified_system`
- `linked_resource`
- `source_system_timestamps`

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask|null` |   |

### hasUpdateMask

### clearUpdateMask

### setUpdateMask

Names of fields whose values to overwrite on an entry.

If this parameter is absent or empty, all modifiable fields
are overwritten. If such fields are non-required and omitted in the
request body, their values are emptied.
You can modify only the fields listed below.
For entries with type `DATA_STREAM`:

- `schema` For entries with type `FILESET`:
- `schema`
- `display_name`
- `description`
- `gcs_fileset_spec`
- `gcs_fileset_spec.file_patterns` For entries with `user_specified_type`:
- `schema`
- `display_name`
- `description`
- `user_specified_type`
- `user_specified_system`
- `linked_resource`
- `source_system_timestamps`

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### static::build

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `entry` | `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Entry` Required. Updates for the entry. The `name` field must be set. |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.UpdateEntryRequest` |   |

### static::buildFromEntryUpdateMask

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `entry` | `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.Entry` Required. Updates for the entry. The `name` field must be set. |
| `updateMask` | `https://protobuf.dev/reference/php/api-docs/Google/Protobuf/FieldMask` Names of fields whose values to overwrite on an entry. If this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied. You can modify only the fields listed below. For entries with type `DATA_STREAM`: - - `schema` For entries with type `FILESET`: - - `schema` - - `display_name` - - `description` - - `gcs_fileset_spec` - - `gcs_fileset_spec.file_patterns` For entries with `user_specified_type`: - - `schema` - - `display_name` - - `description` - - `user_specified_type` - - `user_specified_system` - - `linked_resource` - - `source_system_timestamps` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-data-catalog/latest/V1.UpdateEntryRequest` |   |